Loading...
Searching...
No Matches
HistogramUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| HistogramUpdateEvent (const std::vector< volk::vector< double > > points, const uint64_t npoints)
| ~HistogramUpdateEvent () override
int | which () const
const std::vector< double * > | getDataPoints () const
uint64_t | getNumDataPoints () const
bool | getRepeatDataFlag () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## HistogramUpdateEvent()

HistogramUpdateEvent::HistogramUpdateEvent | ( | const std::vector< volk::vector< double > > | points,
|  | const uint64_t | npoints )

## ~HistogramUpdateEvent()

HistogramUpdateEvent::~HistogramUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getDataPoints()

const std::vector< double * > HistogramUpdateEvent::getDataPoints | ( |  | ) | const

## getNumDataPoints()

uint64_t HistogramUpdateEvent::getNumDataPoints | ( |  | ) | const

## getRepeatDataFlag()

bool HistogramUpdateEvent::getRepeatDataFlag | ( |  | ) | const

## Type()

static QEvent::Type HistogramUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int HistogramUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h